Bug 1033145 - [abrt] gnome-terminal-3.11.0-1.fc21: g_settings_schema_get_value: Process /usr/libexec/gnome-terminal-server was killed by signal 5 (SIGTRAP)
[abrt] gnome-terminal-3.11.0-1.fc21: g_settings_schema_get_value: Process /us...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
22
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6f69c86b85a05402ea664c151ac...
:
: 1033756 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 10:43 EST by piio
Modified: 2016-07-19 06:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:37:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.89 KB, text/plain)
2013-11-21 10:43 EST, piio
no flags Details
File: cgroup (160 bytes, text/plain)
2013-11-21 10:43 EST, piio
no flags Details
File: core_backtrace (11.76 KB, text/plain)
2013-11-21 10:43 EST, piio
no flags Details
File: dso_list (8.81 KB, text/plain)
2013-11-21 10:43 EST, piio
no flags Details
File: environ (1.19 KB, text/plain)
2013-11-21 10:43 EST, piio
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-21 10:44 EST, piio
no flags Details
File: maps (24.19 KB, text/plain)
2013-11-21 10:44 EST, piio
no flags Details
File: open_fds (604 bytes, text/plain)
2013-11-21 10:44 EST, piio
no flags Details
File: proc_pid_status (823 bytes, text/plain)
2013-11-21 10:44 EST, piio
no flags Details
File: var_log_messages (2.50 KB, text/plain)
2013-11-21 10:44 EST, piio
no flags Details

  None (edit)
Description piio 2013-11-21 10:43:20 EST
Version-Release number of selected component:
gnome-terminal-3.11.0-1.fc21

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_settings_schema_get_value
executable:     /usr/libexec/gnome-terminal-server
kernel:         3.12.0-1.fc21.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 g_settings_schema_get_value at /lib/libgio-2.0.so.0
 #3 g_settings_schema_key_init at /lib/libgio-2.0.so.0
 #4 g_settings_bind_with_mapping at /lib/libgio-2.0.so.0
 #5 g_settings_bind at /lib/libgio-2.0.so.0
 #6 terminal_app_init
 #7 g_type_create_instance at /lib/libgobject-2.0.so.0
 #8 g_object_new_internal at /lib/libgobject-2.0.so.0
 #9 g_object_new_valist at /lib/libgobject-2.0.so.0
 #11 terminal_app_new
Comment 1 piio 2013-11-21 10:43:33 EST
Created attachment 827298 [details]
File: backtrace
Comment 2 piio 2013-11-21 10:43:39 EST
Created attachment 827299 [details]
File: cgroup
Comment 3 piio 2013-11-21 10:43:44 EST
Created attachment 827300 [details]
File: core_backtrace
Comment 4 piio 2013-11-21 10:43:50 EST
Created attachment 827301 [details]
File: dso_list
Comment 5 piio 2013-11-21 10:43:57 EST
Created attachment 827302 [details]
File: environ
Comment 6 piio 2013-11-21 10:44:01 EST
Created attachment 827303 [details]
File: limits
Comment 7 piio 2013-11-21 10:44:05 EST
Created attachment 827304 [details]
File: maps
Comment 8 piio 2013-11-21 10:44:10 EST
Created attachment 827305 [details]
File: open_fds
Comment 9 piio 2013-11-21 10:44:17 EST
Created attachment 827306 [details]
File: proc_pid_status
Comment 10 piio 2013-11-21 10:44:26 EST
Created attachment 827307 [details]
File: var_log_messages
Comment 11 Tom London 2013-11-22 09:51:29 EST
gnome-terminal fails with this error message:

Error constructing proxy for org.gnome.Terminal:/org/gnome/Terminal/Factory0: Error calling StartServiceByName for org.gnome.Terminal: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildSignaled: Process /usr/libexec/gnome-terminal-server received signal 5

Happens every time...

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_settings_schema_get_value
executable:     /usr/libexec/gnome-terminal-server
kernel:         3.13.0-0.rc0.git10.1.fc21.x86_64
package:        gnome-terminal-3.11.0-1.fc21
reason:         Process /usr/libexec/gnome-terminal-server was killed by signal 5 (SIGTRAP)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Tom London 2013-11-22 10:01:51 EST
Downgrading to gnome-terminal-3.10.2-1.fc21.x86_64 "makes it work for me".
Comment 14 Daniel Walsh 2013-11-22 14:35:40 EST
*** Bug 1033756 has been marked as a duplicate of this bug. ***
Comment 15 Tom London 2013-11-26 10:42:02 EST
WFM with gnome-terminal-3.11.0-2.fc21.x86_64

Thanks!
Comment 16 Jaroslav Reznik 2015-03-03 10:13:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 17 Fedora End Of Life 2016-07-19 06:37:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.